[arch-commits] Commit in python-bottle/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Dec 13 19:05:37 UTC 2018


    Date: Thursday, December 13, 2018 @ 19:05:36
  Author: felixonmars
Revision: 416078

archrelease: copy trunk to community-any

Added:
  python-bottle/repos/community-any/PKGBUILD
    (from rev 416077, python-bottle/trunk/PKGBUILD)
Deleted:
  python-bottle/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  106 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 53 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-12-13 19:05:18 UTC (rev 416077)
+++ PKGBUILD	2018-12-13 19:05:36 UTC (rev 416078)
@@ -1,53 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Richard Murri <admin at richardmurri.com>
-# Contributor: Farhad Shahbazi <farhad at enthusiasm.cc>
-# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
-
-pkgbase=python-bottle
-pkgname=("python-bottle" "python2-bottle")
-pkgver=0.12.15
-pkgrel=1
-pkgdesc="A fast and simple micro-framework for small web-applications"
-arch=(any)
-url="http://bottlepy.org"
-license=('MIT')
-options=(!emptydirs)
-makedepends=('python-setuptools' 'python2-setuptools' 'git')
-checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja' 'python-cherrypy'
-              'python2-cherrypy' 'python-twisted' 'python2-twisted' 'python-tornado'
-              'python2-tornado' 'python-paste' 'python2-paste' 'python-gevent' 'python2-gevent'
-              'python-eventlet' 'python2-eventlet')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/defnull/bottle/archive/$pkgver.tar.gz")
-sha512sums=('302e61790426ffe65f19041455c92eabab3d809fabe463845ecc5531ca2cf0a68a3ecfde6c890aeed95de4320aa465c15e908f512dab964e25c849bb0b5d02a6')
-
-prepare() {
-  cp -a bottle-$pkgver{,-py2}
-  sed -i "1s/python/python2/" bottle-$pkgver-py2/bottle.py
-}
-
-check() {
-  cd "$srcdir"/bottle-$pkgver
-  # https://github.com/bottlepy/bottle/issues/791
-  python test/testall.py || warning 'Tests failed'
-
-  cd "$srcdir"/bottle-$pkgver-py2
-  python2 test/testall.py
-}
-
-package_python-bottle() {
-  depends=('python')
-
-  cd bottle-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-bottle() {
-  depends=('python2')
-
-  cd bottle-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  mv "$pkgdir"/usr/bin/bottle.py{,2}
-}

Copied: python-bottle/repos/community-any/PKGBUILD (from rev 416077, python-bottle/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-12-13 19:05:36 UTC (rev 416078)
@@ -0,0 +1,53 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Richard Murri <admin at richardmurri.com>
+# Contributor: Farhad Shahbazi <farhad at enthusiasm.cc>
+# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
+
+pkgbase=python-bottle
+pkgname=("python-bottle" "python2-bottle")
+pkgver=0.12.16
+pkgrel=1
+pkgdesc="A fast and simple micro-framework for small web-applications"
+arch=(any)
+url="http://bottlepy.org"
+license=('MIT')
+options=(!emptydirs)
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-mako' 'python2-mako' 'python-jinja' 'python2-jinja' 'python-cherrypy'
+              'python2-cherrypy' 'python-twisted' 'python2-twisted' 'python-tornado'
+              'python2-tornado' 'python-paste' 'python2-paste' 'python-gevent' 'python2-gevent'
+              'python-eventlet' 'python2-eventlet')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/defnull/bottle/archive/$pkgver.tar.gz")
+sha512sums=('80b4a9c94d8dfc8a316c65ffa4969ba5c39efb3556a42afc3c4930e1ae2634ab225fa50f54f9ae8e8fb2b85c2b919d827686699511dd55bc39a7dc55719a6965')
+
+prepare() {
+  cp -a bottle-$pkgver{,-py2}
+  sed -i "1s/python/python2/" bottle-$pkgver-py2/bottle.py
+}
+
+check() {
+  cd "$srcdir"/bottle-$pkgver
+  # https://github.com/bottlepy/bottle/issues/791
+  python test/testall.py || warning 'Tests failed'
+
+  cd "$srcdir"/bottle-$pkgver-py2
+  python2 test/testall.py
+}
+
+package_python-bottle() {
+  depends=('python')
+
+  cd bottle-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-bottle() {
+  depends=('python2')
+
+  cd bottle-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  mv "$pkgdir"/usr/bin/bottle.py{,2}
+}



More information about the arch-commits mailing list